﻿@using System.Web.UI.WebControls;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("_PartialScript")
@Html.Partial("_SubManifestReceivingInquiryScript")
<div class="content">
	<table style="width: 100%">
		<tr>
			<td style="width:100%;border:1px solid black;padding:7px;">
				<table width="100%">
					<tr style="height:25px">
						<td style="width: 4%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Manifest No";
							Label.Width = 90;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
							@Html.DevExpress().TextBox(
							settings =>
							{
							settings.Name = "I_MANIFEST_NO";
                            settings.Properties.ClientSideEvents.Init = "SetFocus";
                            settings.Width = 120;
                            settings.Properties.MaxLength = 16;
							settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            settings.Properties.ClientSideEvents.KeyUp = "searchByEntered";                                
							}
							).GetHtml()
						</td>
						<td style="width: 3%;">
						</td>
						<td style="width: 5%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Order Date From";
							Label.Width = 120;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
							@Html.DevExpress().DateEdit(
							settings =>
							{
							settings.Name = "I_ORDER_DATE_FROM";
							settings.Width = 120;
							settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
							settings.Properties.EditFormat = EditFormat.Custom;
                            settings.Properties.DisplayFormatString = "dd.MM.yyyy";
							settings.ReadOnly = false;
							settings.Properties.UseMaskBehavior = true;
							settings.Properties.EditFormat = EditFormat.Custom;
                            settings.Properties.EditFormatString = "dd.MM.yyyy";
							settings.Properties.ClientSideEvents.ValueChanged = "Order_Date_OnChanged";
							}).GetHtml()
						</td>
						<td style="width: 2%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "*To";
							Label.Width = 30;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
							@Html.DevExpress().DateEdit(
							settings =>
							{
							settings.Name = "I_ORDER_DATE_TO";
							settings.Width = 120;
							settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
							settings.Properties.EditFormat = EditFormat.Custom;
                            settings.Properties.DisplayFormatString = "dd.MM.yyyy";
							settings.ReadOnly = false;
							settings.Properties.UseMaskBehavior = true;
							settings.Properties.EditFormat = EditFormat.Custom;
                            settings.Properties.EditFormatString = "dd.MM.yyyy";
							}).GetHtml()
						</td>
						<td style="width: 3%;">
						</td>
						<td style="width: 5%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Supplier Code";
							Label.Width = 90;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
							@Html.DevExpress().TextBox(
							settings =>
							{
							settings.Name = "I_SUPPLIER_CODE";
                            settings.Properties.MaxLength = 6;
							settings.Width = 120;
							settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            settings.Properties.ClientSideEvents.KeyUp = "searchByEntered";
							}
							).GetHtml()
						</td>
						<td style="width: 3%;">
						</td>
						<td style="width: 5%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Order No";
							Label.Width = 80;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
							@Html.DevExpress().TextBox(
							settings =>
							{
							settings.Name = "I_ORDER_NO";
                            settings.Properties.MaxLength = 12;
							settings.Width = 120;
							settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            settings.Properties.ClientSideEvents.KeyUp = "searchByEntered";
							}
							).GetHtml()
						</td>
					</tr>
					<tr style="height:30px">
						<td style="width: 4%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Sub Manifet No";
							Label.Width = 90;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
							@Html.DevExpress().TextBox(
							settings =>
							{
							settings.Name = "I_SUB_MANIFEST_NO";
                            settings.Properties.MaxLength = 16;
							settings.Width = 120;
							settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            settings.Properties.ClientSideEvents.KeyUp = "searchByEntered";
							}
							).GetHtml()
						</td>
						<td style="width: 3%;">
						</td>
						<td style="width: 5%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Plan Rcv Date From";
							Label.Width = 120;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
							@Html.DevExpress().DateEdit(
							settings =>
							{
							settings.Name = "I_PLAN_RCV_DATE_FROM";
							settings.Width = 120;
							settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
							settings.Properties.EditFormat = EditFormat.Custom;
                            settings.Properties.DisplayFormatString = "dd.MM.yyyy";
							settings.ReadOnly = false;
							settings.Properties.UseMaskBehavior = true;
							settings.Properties.EditFormat = EditFormat.Custom;
                            settings.Properties.EditFormatString = "dd.MM.yyyy";
							settings.Properties.ClientSideEvents.ValueChanged = "Plan_Rcv_Date_OnChanged";
							}).GetHtml()
						</td>
						<td style="width: 2%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "*To";
							Label.Width = 30;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
							@Html.DevExpress().DateEdit(
							settings =>
							{
							settings.Name = "I_PLAN_RCV_DATE_TO";
							settings.Width = 120;
							settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
							settings.Properties.EditFormat = EditFormat.Custom;
                            settings.Properties.DisplayFormatString = "dd.MM.yyyy";
							settings.ReadOnly = false;
							settings.Properties.UseMaskBehavior = true;
							settings.Properties.EditFormat = EditFormat.Custom;
                            settings.Properties.EditFormatString = "dd.MM.yyyy";
							}).GetHtml()
						</td>
						<td style="width: 3%;">
						</td>
						<td style="width: 5%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Plant Code";
							Label.Width = 90;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
							@Html.DevExpress().TextBox(
							settings =>
							{
							settings.Name = "I_PLANT_CODE";
                            settings.Properties.MaxLength = 1;
							settings.Width = 120;
							settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            settings.Properties.ClientSideEvents.KeyUp = "searchByEntered";
							}
							).GetHtml()
						</td>
						<td style="width: 3%;">
						</td>
						<td style="width: 5%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Part No";
							Label.Width = 80;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
							@Html.DevExpress().TextBox(
							settings =>
							{
							settings.Name = "I_PART_NO";
                            settings.Properties.MaxLength = 20;
                            settings.Width = 120;
							settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            settings.Properties.ClientSideEvents.KeyUp = "searchByEntered";
							}
							).GetHtml()
						</td>
					</tr>
					<tr style="height:25px">
						<td style="width: 4%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Dock Code";
							Label.Width = 90;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
							@Html.DevExpress().TextBox(
							settings =>
							{
							settings.Name = "I_DOCK_CODE";
                            settings.Properties.MaxLength = 2;
                            settings.Width = 120;
							settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            settings.Properties.ClientSideEvents.KeyUp = "searchByEntered";
							}
							).GetHtml()
						</td>
						<td style="width: 3%;">
						</td>
						<td style="width: 5%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Actual Rcv Date From";
							Label.Width = 120;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
							@Html.DevExpress().DateEdit(
							settings =>
							{
							settings.Name = "I_ACTUAL_RCV_DATE_FROM";
							settings.Width = 120;
							settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
							settings.Properties.EditFormat = EditFormat.Custom;
                            settings.Properties.DisplayFormatString = "dd.MM.yyyy";
							settings.ReadOnly = false;
							settings.Properties.UseMaskBehavior = true;
							settings.Properties.EditFormat = EditFormat.Custom;
                            settings.Properties.EditFormatString = "dd.MM.yyyy";
							settings.Properties.ClientSideEvents.ValueChanged = "Actual_Rcv_Date_OnChanged";
							}).GetHtml()                            
						</td>
						<td style="width: 2%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "*To";
							Label.Width = 30;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
							@Html.DevExpress().DateEdit(
							settings =>
							{
							settings.Name = "I_ACTUAL_RCV_DATE_TO";
							settings.Width = 120;
							settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
							settings.Properties.EditFormat = EditFormat.Custom;
                            settings.Properties.DisplayFormatString = "dd.MM.yyyy";
							settings.ReadOnly = false;
							settings.Properties.UseMaskBehavior = true;
							settings.Properties.EditFormat = EditFormat.Custom;
                            settings.Properties.EditFormatString = "dd.MM.yyyy";
							}).GetHtml()
						</td>
						<td style="width: 3%;">
						</td>
						<td style="width: 5%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Sub Supplier Code";
							Label.Width = 90;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
							@Html.DevExpress().TextBox(
							settings =>
							{
							settings.Name = "I_SUB_SUPPLIER_CD";
                            settings.Properties.MaxLength = 6;
							settings.Width = 120;
							settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            settings.Properties.ClientSideEvents.KeyUp = "searchByEntered";
							}
							).GetHtml()
						</td>
						<td style="width: 3%;">
						</td>
						<td style="width: 5%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Send GR Status";
							Label.Width = 120;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
                            @Html.DevExpress().ComboBox(
                            combo =>
                            {
                                combo.Name = "SEND_GR_ADM_FLAG";
                                combo.Width = 120;
                                combo.SelectedIndex = -1;
                                combo.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                combo.CallbackRouteValues = new { Controller = "SubManifestReceivingInquiry", Action = "getCombobox" };
                                combo.Properties.TextField = "COMBO_LABEL";
                                combo.Properties.ValueField = "COMBO_VALUE";
                            }).BindList(ViewData["SEND_GR_ADM_FLAG"]).GetHtml()
						</td>
					</tr>
					<tr style="height:25px">
						<td style="width: 4%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Sub Plant Code";
							Label.Width = 90;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
							@Html.DevExpress().TextBox(
							settings =>
							{
							settings.Name = "I_SUB_PLANT_CODE";
                            settings.Properties.MaxLength = 1;
							settings.Width = 120;
							settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            settings.Properties.ClientSideEvents.KeyUp = "searchByEntered";
							}
							).GetHtml()
						</td>
						<td style="width: 3%;">
						</td>

					</tr>
		            <tr>
			            <td colspan="13">
				            <hr />
			            </td>
		            </tr>
					<tr>
						<td colspan="6">
							<table>
								<tr>
									<td>
										@Html.DevExpress().Button(edtSetting =>
										{
										edtSetting.Name = "cmdDownload";
										edtSetting.Width = 80;
										edtSetting.Text = "Download";
										edtSetting.ClientSideEvents.Click = "DownloadData";
										edtSetting.Style.Add("display", "inline-table");
										edtSetting.UseSubmitBehavior = true;
										//            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-02", "DOWNLOAD");
										}).GetHtml()
									</td>
									<td>
										@Html.DevExpress().CheckBox(chckBox =>
										{
										chckBox.Name = "chckBoxDownloadDetail";
										chckBox.Text = "Download Detail";
										}
										).GetHtml()
									</td>
								</tr>
							</table>
						</td>
						<td colspan="7" align="right">
							@Html.DevExpress().Button(edtSetting =>
							{
							edtSetting.Name = "cmdSearch";
							edtSetting.Width = 80;
							edtSetting.Text = "Search";
							edtSetting.ClientSideEvents.Click = "OnSearch";
							edtSetting.Style.Add("display", "inline-table");
							edtSetting.UseSubmitBehavior = true;
							//edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-01", "SEARCH");
							}).GetHtml()
							@Html.DevExpress().Button(edtSetting =>
							{
							edtSetting.Name = "cmdClear";
							edtSetting.Width = 80;
							edtSetting.Text = "Clear";
							edtSetting.ClientSideEvents.Click = "OnClear";
							edtSetting.Style.Add("display", "inline-table");
							edtSetting.UseSubmitBehavior = true;
							//edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-01", "CLEAR");
							}).GetHtml()
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<hr />
			</td>
		</tr>
		<tr>
			</br>
		</tr>
	</table>
</div>
    @Html.DevExpress().TextBox(hsettings =>
    {
    hsettings.Name = "T_MANIFEST_NO";
    hsettings.ClientVisible = false;
    }).GetHtml()
    @Html.DevExpress().TextBox(hsettings =>
    {
    hsettings.Name = "T_SUB_MANIFEST_NO";
    hsettings.ClientVisible = false;
    }).GetHtml()    
    @Html.DevExpress().TextBox(hsettings =>
    {
    hsettings.Name = "T_PART_NO";
    hsettings.ClientVisible = false;
    }).GetHtml()
<div class="content" style="min-height: 300px">
	@Html.Partial("SubManifestReceivingInquiryGrid")
</div>